package com.gic.haoban.manage.web.qo.order;

import java.io.Serializable;

/**
 * @description: 这里是描述文字
 * @author: 巴弗
 * @createDate: 2023/2/27 13:51
 */
public class QueryLogisticsQO implements Serializable {
    private static final long serialVersionUID = 274417196390718102L;


    /**
     * 类型 0：会员下单 1：退货物流 2：换货-买家 3：换货-卖家
     * @see com.gic.business.order.enums.LogisticsEnum
     */
    private Integer type;

    /**
     * 企业ID
     */
    private String enterpriseId;


    /**
     * 主键ID
     * 会员下单传订单ID
     * 换货-换货单ID
     * 退货-退货单ID
     */
    private String id;
    /**
     * 物流ID
     * 根据type区分换货，退货退款和下单的物流ID
     */
    private String logisticsId;


    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getLogisticsId() {
        return logisticsId;
    }

    public void setLogisticsId(String logisticsId) {
        this.logisticsId = logisticsId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
